# layermove.cpp File Reference

Template File. More...

`#include "layermove.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::LayerMove)
| ACTION_SET_NAME (Action::LayerMove,"LayerMove")
| ACTION_SET_LOCAL_NAME (Action::LayerMove, N_("Move Layer"))
| ACTION_SET_TASK (Action::LayerMove,"move")
| ACTION_SET_CATEGORY (Action::LayerMove, Action::CATEGORY_LAYER)
| ACTION_SET_PRIORITY (Action::LayerMove, 0)
| ACTION_SET_VERSION (Action::LayerMove,"0.0")
| ACTION_SET_CVS_ID (Action::LayerMove,"$Id$")

## Variables

static const int | nindex = -1

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::LayerMove |  | ) |

ACTION_SET_NAME | ( | Action::LayerMove | ,
|  | "LayerMove" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::LayerMove | ,
|  | N_("Move Layer") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::LayerMove | ,
|  | "move" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::LayerMove | ,
|  | Action::CATEGORY_LAYER |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::LayerMove | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::LayerMove | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::LayerMove | ,
|  | "$Id$" |  |
| ) |  |  |

## Variable Documentation

const int nindex = -1`[static]`